Monkey(1)

NAME
monkey - Monkey HTTP Daemon

SYNOPSIS
monkey [options]

DESCRIPTION
monkey is a very small, fast and scalable web server for Linux. This manual page only lists the command line arguments. For further and more detailed information regarding the program configuration see the Monkey manual, found at http://monkey-project.com/documentation .

OPTIONS
This command will launch the Monkey webserver. It accepts the following options:

-h, --help
    Prints a brief help message and Perform a sanity check on the configuration file. The server will not run.

-v, --version
    Prints Monkey's version and exit

-D, --daemon
    Launches the server as a daemon (background process). The default behaviour is to stay attached to the controlling terminal.

-c, --configdir directory
    Specifies the configuration files directory

SIGNALS
The following signals are supported by Monkey:

SIGTERM, Exits

SIGINT,  Exits

SIGHUP,  Exits

SIGBUS,  Print invalid address

SIGSEGV, Print invalid address

BUGS

  Bug reports
In general, send bug reports to the bug report mailing list at <monkey@lists.monkey-project.com>. You are requested to use a descriptive subject for your email message, perhaps parts of the error message.

SEE ALSO
Monkey can be run either with this command or banana(1).

AUTHOR
Eduardo Silva <edsiper@gmail.com> and the rest of the Monkey Project team.

This manpage is maintained by the Monkey HTTP Daemon Project team.